diff -aur samba-4.12.1/buildtools/wafsamba/samba_utils.py samba-4.12.1.old/buildtools/wafsamba/samba_utils.py
--- samba-4.12.1/buildtools/wafsamba/samba_utils.py	2020-02-28 09:59:35.000000000 +0100
+++ samba-4.12.1.old/buildtools/wafsamba/samba_utils.py	2020-04-30 16:36:07.670063106 +0200
@@ -52,6 +52,7 @@
 MODE_644 = int('644', 8)
 MODE_744 = int('744', 8)
 MODE_755 = int('755', 8)
+MODE_750 = int('750', 8)
 MODE_777 = int('777', 8)
 
 def conf(f):
diff -aur samba-4.12.1/ctdb/wscript samba-4.12.1.old/ctdb/wscript
--- samba-4.12.1/ctdb/wscript	2020-01-31 11:25:36.000000000 +0100
+++ samba-4.12.1.old/ctdb/wscript	2020-04-30 16:36:26.746730430 +0200
@@ -15,7 +15,7 @@
 from waflib import Options, Logs, Errors, Context
 import wafsamba
 from wafsamba import samba_dist, samba_utils
-from samba_utils import MODE_644, MODE_744, MODE_755, MODE_777
+from samba_utils import MODE_644, MODE_744, MODE_755, MODE_777, MODE_750
 
 if os.path.isfile('./VERSION'):
     vdir = '.'
@@ -847,7 +847,7 @@
                         target='ctdb.sudoers',
                         rule='sed %s ${SRC} > ${TGT}' % (sed_cmdline))
     bld.INSTALL_FILES('${SYSCONFDIR}/sudoers.d', 'ctdb.sudoers',
-                      destname='ctdb')
+                      destname='ctdb', chmod=MODE_750)
 
     bld.INSTALL_FILES('${CTDB_ETCDIR}/events/notification',
                       'config/notification.README',
